'use strict';

exports.__esModule = true;
/* eslint-disable no-underscore-dangle */

const isCompositeComponent = exports.isCompositeComponent = type => typeof type === 'function';

const getComponentDisplayName = exports.getComponentDisplayName = type => type.displayName || type.name || 'Component';

const getReactInstance = exports.getReactInstance = instance => instance._reactInternalFiber || instance._reactInternalInstance || instance._instance;

const getReactComponent = exports.getReactComponent = instance => typeof instance.type === 'function' && instance.stateNode;

const updateInstance = exports.updateInstance = instance => {
  const updater = instance.updater,
        forceUpdate = instance.forceUpdate;

  if (typeof forceUpdate === 'function') {
    instance.forceUpdate();
  } else if (updater && typeof updater.enqueueForceUpdate === 'function') {
    updater.enqueueForceUpdate(instance);
  }
};